package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.bean.SysOrderNoRule;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 单号生成规则服务器
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2018-11-21 19:57
 * @Modify:
 **/
public interface ISysOrderNoRuleService {

    @ApiOperation(value = "添加单号规则")
    SysOrderNoRule insertSysOrderNoRule(SysOrderNoRule sysOrderNoRule);

    @ApiOperation(value = "修改单号规则")
    void updateSysOrderNoRule(SysOrderNoRule sysOrderNoRule);

    @ApiOperation(value = "根据id删除单号规则")
    void deleteSysOrderNoRuleById(Long id);

    @ApiOperation(value = "根据id查询单号规则")
    SysOrderNoRule getSysOrderNoRuleById(Long id);

    @ApiOperation(value = "单号规则复杂查询，分页，排序")
    ListPager querySysOrderNoRuleByPager(SysOrderNoRule sysOrderNoRule, Pager pager);

    @ApiOperation(value = "根据code查询单号规则")
    SysOrderNoRule getSysOrderNoRuleCode(String code);

    @ApiOperation(value = "根据id修改单号规则状态")
    void updateSysOrderNoRuleCodeStatusById(Long id,Integer status);

    @ApiOperation(value = "批量删除单号规则")
    void deleteSysOrderNoRuleByIds(Long[] ids);

    @ApiOperation(value = "批量修改单号规则状态")
    void updateSysOrderNoRuleByIds(Long[] ids,Integer status);

    @ApiOperation(value = "批量添加编号规则")
    void insertSysOrderNoRuleList(List sysOrderNoRuleList);
}
